#!/bin/bash

# Copyright (c) 2018-2020 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

if [ -z "$HDDL_INSTALL_DIR" ]; then
    echo "Can't get HDDL_INSTALL_DIR env. Try to setup it."
    SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

	export HDDL_INSTALL_DIR="$SCRIPT_DIR"
	export LD_LIBRARY_PATH=$HDDL_INSTALL_DIR/lib:$LD_LIBRARY_PATH
fi
echo "[setupvars.sh] HDDL environment initialized"
